class AgentInfoModel {
  /// 姓名
  String? name;

  /// 身份证号码
  String? idCard;

  /// 手机号
  String? phone;

  /// 短信
  String? sms;

  /// 是否代理人
  bool agentFlag = true;

  /// 是否实名
  bool realNameFlag = true;

  Map<String, dynamic> toJson() {
    return {
      'name': name,
      'idCard': idCard,
      'phone': phone,
      'sms': sms,
    };
  }

  fromJson(Map<String, dynamic>? json) {
    name = json?['name'];
    idCard = json?['idCardNo'];
    phone = json?['mobile'];
    realNameFlag = json?['realNameFlag'] ?? false;
    agentFlag = json?['agentFlag'];
  }
}
